export default {
    methods: {
        // 输入框最小长度校验
        lengthMin (min) {
            return {
                trigger: 'blur',
                validator: (rule, value, callback) => {
                    value && value.length < min
                        ? callback(new Error(`至少输入 ${min} 个字符`))
                        : callback()
                }
            }
        },
        // 输入框最大长度校验
        lengthMax (max) {
            return {
                trigger: 'blur',
                validator: (rule, value, callback) => {
                    value && value.length > max
                        ? callback(new Error(`最多输入 ${max} 个字符`))
                        : callback()
                }
            }
        }
    }
}
