import http from '@/request/http.js'

export default {
    // 获取学校文件夹和个人文件夹List
    GetFolderList () {
        return http.get('/api/Education/SchoolResource/MyResource/GetFolderList')
    },
    // 获取我的收藏分享列表
    GetCollectShareList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetCollectShareList', JSON.stringify(params))
    },
    // 获取我管理的文件夹
    GetMyManageFolderList () {
        return http.get('/api/Education/SchoolResource/MyResource/GetMyManageFolderList')
    },
    // 获取我管理的常规文件夹资料列表
    GetMyManageRoutineFolderList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetMyManageRoutineFolderList', JSON.stringify(params))
    },
    // 获取我管理的任务文件夹资料列表
    GetMyManageTaskFolderList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetMyManageTaskFolderList', JSON.stringify(params))
    },
    // 获取资料列表某人下的文件信息
    GetMyManageFileInfo (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetMyManageFileInfo', JSON.stringify(params))
    },
    // 获取文档列表
    GetFileList (params) {
        return http.post('/api/Education/SchoolResource/GetFileList', JSON.stringify(params))
    }
}
