import store from '@/store/index.js'

const schoolCode = store.state.schoolCode

const ossPaths = {
    meeting: {
        wall: `${schoolCode}/Meeting/Wall`,
        editor: `${schoolCode}/Meeting/Editor`
    },
    notice: {
        addOrEdit: `${schoolCode}/notice/addOrEdit`
    },
    etags: `${schoolCode}/Etags`,
    office: {
        apply: `${schoolCode}/Office/Apply`
    },
    teacherDevelopment: {
        cover: `${schoolCode}/TeacherDevelopment/Cover`,
        editor: `${schoolCode}/TeacherDevelopment/Editor`
    },
    payment: `${schoolCode}/Payment`,
    schoolPerforman: {
        customIcon: `${schoolCode}/CustomIcon`
    },
    teacherHonor: `${schoolCode}/TeacherHonor`,
    form: `${schoolCode}/Form`,
    canteen: {
        foodImg: `${schoolCode}/Canteen/FoodImg`
    },
    morningCheck: `${schoolCode}/MorningCheck`,
    survey: {
        coverImg: `${schoolCode}/Survey/Cover`
    },
    teacherProfessionalArchives: {
        echelon: `${schoolCode}/TeacherProfessionalArchives/Echelon`, // 专业梯次
        continueEducation: `${schoolCode}/TeacherProfessionalArchives/ContinueEducation` // 继续教育
    },
    classHomeWork: {
        attach: `${schoolCode}/HomeWork/Attachments`,
        img: `${schoolCode}/HomeWork/ImageText`
    },
    schoolInfo: {
        schoolLogo: `${schoolCode}/BaseData/SchoolLogo`
    },
    wechatManage: {
        wechatAutoReply: `${schoolCode}/wechatManage/wechatAutoReply`, // 微信管理自动回复
        materialManage: `${schoolCode}/wechatManage/materialManage`, // 素材管理
        wechatSet: `${schoolCode}/wechatManage/wechatSet`
    },
    message: `${schoolCode}/Message` // 短信中心

}

export default ossPaths
