export default {
    FormInput: () => import('./components/FormInput'),
    FormTextarea: () => import('./components/FormTextarea'),
    FormRadio: () => import('./components/FormRadio'),
    FormCheckbox: () => import('./components/FormCheckbox'),
    FormDate: () => import('./components/FormDate'),
    FormAddress: () => import('./components/FormAddress'),
    FormContacts: () => import('./components/FormContacts'),
    FormInfo: () => import('./components/FormInfo'),
    FormSubform: () => import('./components/FormSubform'),

    // formType
    FormDateRange: () => import('./components/formType/FormDateRange'),
    FormImg: () => import('./components/formType/FormImg'),
    FormFile: () => import('./components/formType/FormFile'),
    FormCalculate: () => import('./components/formType/FormCalculate'),

    // questionType
    FormRadioText: () => import('./components/questionType/FormRadioText'),
    FormCheckboxText: () => import('./components/questionType/FormCheckboxText'),
    FormRadioImg: () => import('./components/questionType/FormRadioImg'),
    FormCheckboxImg: () => import('./components/questionType/FormCheckboxImg'),
    FormRadioMatrix: () => import('./components/questionType/FormRadioMatrix'),
    FormRate: () => import('./components/questionType/FormRate'),
    FormSort: () => import('./components/questionType/FormSort'),
    FormGradeClass: () => import('./components/questionType/FormGradeClass')
}
